## eole-cntlm 2.4.0-5

=== Makefile ===
################################
# Makefile pour eole-cntlm
################################

SOURCE=eole-cntlm
VERSION=2.4
EOLE_VERSION=2.4
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-cntlm (2.4.0-5) eole-2.4-unstable; urgency=low

  * [b860d8c] pour la balise ip, le type etait network_type, pas assez clair, remplacé par ip_type (ref #5723)

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 14 Jan 2014 15:10:31 +0100

eole-cntlm (2.4.0-4) eole-2.4-unstable; urgency=low

  * [5f41acd] conversion du .fw en balise (ref #5723)
  * [1dd5924] conversion du .fw en balise (ref #5723)
  * [63ae45f] conversion du .fw en balise (ref #5723)
  * [60258f8] retrait de *list inutile (ref #5723)

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 14 Jan 2014 13:44:27 +0100

eole-cntlm (2.4.0-3) eole-2.4-unstable; urgency=low

  * [9852c44] cntlm_port conditionné directement par activer_cntlm

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 Dec 2013 14:05:11 +0100

eole-cntlm (2.4.0-2) eole-2.4-unstable; urgency=low

  * [a1c7cb1] Noms de variables modifiés entre 2.3 et 2.4 (00_proxy_cntlm.fw) fixes #6799 @10m

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Fri, 06 Dec 2013 16:02:01 +0100

eole-cntlm (2.4.0-1) eole-2.4-unstable; urgency=low

  * [62a7e99] Mise à niveau générale pour 2.4 (Ref #6799 @20m)
  * [a2ab095] Nettoyage du dictionnaire 61_cntlm.xml
  * [fc67d17] nom_domaine_smb is a slave (Ref #6799 @15m)

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 06 Dec 2013 15:21:16 +0100

=== debian/control ===
Source: eole-cntlm
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-cntlm
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-cntlm/repository

Package: eole-cntlm
Architecture: all
Depends: ${misc:Depends}, eole-proxy
Description: EOlisation de Cntlm
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-cntlm 2.5.0-1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 ################################
 
 SOURCE=eole-cntlm
-VERSION=2.4
-EOLE_VERSION=2.4
+VERSION=2.5
+EOLE_VERSION=2.5
+EOLE_RELEASE=2.5.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.5.0-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [991a609] Publication EOLE 2.5.0
  * [4f066b0] Merge tag 'release/2.5.0' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [237f220] Daniel Dehennin: Update package since “debian/eole/2.5.0_4-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 26 Jun 2015 12:04:59 +0200

eole-cntlm (2.5.0~4-2) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [9803ca1] deplace le calcul wpad de eole-cntlm vers eole-reverseproxy (ref #10020)
  * [ea6a2a1] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [167f31d] Garette Emmanuel: Update package since “debian/eole/2.5.0_4-1”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 02 Apr 2015 16:26:59 +0200

eole-cntlm (2.5.0~4-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4642fb4] Nouvel espace de nommage des tags Debian
  * [5b8a2d9] Update gitignore for EOLE 2.4.1
  * [8a69f25] Preparation pour EOLE 2.4.2-alpha1
  * [e957e87] Preparation pour EOLE 2.5

  [ Garette Emmanuel ]
  * [16c20d2] ajout des variables wpad_proxyport_ethX wpad_proxyport_vlan_ethX et wpad_proxyport_alias_ethX pour que l'utilisateur puisse choisir le port fourni par wpad (ref #10020)
  * [d5ddc98] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [85f59c9] Garette Emmanuel: Update package since “debian/eole/2.4.0-5”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 01 Apr 2015 16:06:24 +0200

## eole-cntlm 2.5.1-1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-cntlm
 VERSION=2.5
 EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.0
+EOLE_RELEASE=2.5.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.5.1-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [059c70c] Prepare version 2.5.1-a1
  * [e8852f8] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master
  * [3fd4669] Release version 2.5.1
  * [6689c9c] Merge tag 'release/2.5.1' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [8735471] Daniel Dehennin: Update package since “debian/eole/2.5.0-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 21 Sep 2015 10:32:16 +0200

## eole-cntlm 2.5.2-1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-cntlm
 VERSION=2.5
 EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.1
+EOLE_RELEASE=2.5.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.5.2-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [059c70c] Prepare version 2.5.1-a1
  * [e8852f8] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master
  * [3fd4669] Release version 2.5.1
  * [5af6307] Prepare version 2.5.2
  * [9ebdf96] Merge tag 'release/2.5.2' into dist/eole/2.5/master

  [ Garette Emmanuel ]
  * [30040b2] cache les variables activer_cntlm_eth si squid_auth_eth n'est pas activé sur l'interface (ref #13382)
  * [c434aff] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [da31ea5] Garette Emmanuel: Update package since “debian/eole/2.5.0-1”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 07 Jan 2016 15:58:45 +0100

## eole-cntlm 2.6.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-cntlm
-VERSION=2.5
-EOLE_VERSION=2.5
-EOLE_RELEASE=2.5.2
+VERSION=2.6
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.6.0-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7f78db8] Prepare version 2.6.0
  * [d7f121a] Merge tag 'release/2.6.0' into dist/eole/2.6.0/master

  [ Joël Cuissinat ]
  * [edb88df] Suppression des attributs dépréciés dans eole-cntlm
  * [5f9b8a5] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [c8490dc] Joël Cuissinat: Update package since “debian/eole/2.5.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 31 May 2016 11:45:18 +0200

## eole-cntlm 2.6.1-7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-cntlm
 VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.0
+EOLE_RELEASE=2.6.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.6.1-7) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [5c62af8] Mise à niveau du test diagnose (recherche d'une interface Cntlm)
  * [9fba507] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [d7553ea] Joël Cuissinat: Update package since “debian/eole/2.6.1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 Jan 2017 16:17:55 +0100

eole-cntlm (2.6.1-6) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [af0dff7] Dépendance de compilation dh-systemd

  [ EOLE Build Daemon ]
  * [f785d03] Joël Cuissinat: Update package since “debian/eole/2.6.1-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 Jan 2017 15:38:34 +0100

eole-cntlm (2.6.1-5) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8a6cf8b] activer_cntlm_eth0 toujours cachée (calcul automatique)
  * [ecd8dde] Templatisation du script de service "eole-cntlm"
  * [58c2c74] MeGa TyPo dans cntlm.conf
  * [10c5fb2] Mise à niveau du fichier de configuration de Cntlm
  * [d2f1663] Ajout du fichier service systemd pour eole-cntlm
  * [a0330e1] Installation de eole-cntlm-pkg via le dico
  * [b401862] Utilisation du service eole-cntlm au lieu de cntlm
  * [159ef10] Merge branch 'master' into dist/eole/2.6.1/master
  * [649b1e5] Gestion du script systemd eole-cntlm dans le packaging
  * [f2b6a0c] Création du paquet eole-cntlm-pkg

  [ EOLE Build Daemon ]
  * [a7d48bb] Joël Cuissinat: Update package since “debian/eole/2.6.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 30 Jan 2017 15:33:13 +0100

eole-cntlm (2.6.1-4) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [51d9d33] accès à Cntlm pour les réseaux associés au proxy
  * [3b11d9f] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [b11e940] Joël Cuissinat: Update package since “debian/eole/2.6.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 Jan 2017 12:31:51 +0100

eole-cntlm (2.6.1-3) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [831e1de] Correction des règles de pare-feu pour Cntlm
  * [4b86b54] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [1615e00] Joël Cuissinat: Update package since “debian/eole/2.6.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 Jan 2017 11:55:03 +0100

eole-cntlm (2.6.1-2) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [29f81ec] Correction config cNTLM en mode une carte
  * [14ab0cb] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [9c3be1d] Joël Cuissinat: Update package since “debian/eole/2.6.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 14 Dec 2016 10:33:58 +0100

eole-cntlm (2.6.1-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7620385] Prepare version 2.6.1
  * [9aa9e20] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master

  [ Joël Cuissinat ]
  * [20e7741] Template cntlm.conf : nom_domaine_smb n'est plus une slave
  * [09e072e] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [95ec152] Joël Cuissinat: Update package since “debian/eole/2.6.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 07 Dec 2016 11:54:50 +0100

## eole-cntlm 2.7.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-cntlm
-VERSION=2.6
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+VERSION=2.7
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [02cc2fd] Prepare version 2.6.2
  * [b50b071] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master
  * [a766f29] Prepare version 2.7.0
  * [979ba95] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master
  * [52a0ee8] cNTLM unit must wait for all interface IPs
  * [234aa85] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [675dc8e] Daniel Dehennin: Update package since “debian/eole/2.6.1-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 11 Oct 2018 15:47:30 +0200

## eole-cntlm 2.8.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-cntlm
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [84a1942] Prepare version 2.7.1
  * [76f0595] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [c8ad4eb] Prepare version 2.7.2
  * [af8d830] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [6ad888d] Prepare version 2.8.0
  * [75f420f] Merge branch 'master' into dist/eole/2.8.0/master

  [ Benjamin Bohard ]
  * [dd874d9] xrange no longer available.
  * [b44687d] Merge branch '2.8.0/29918-xrange'
  * [895afba] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [bff24cc] Benjamin Bohard: Update package since “debian/eole/2.7.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Apr 2020 21:27:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-cntlm
@@ -14,3 +14,12 @@
 Description: EOlisation de Cntlm
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
+
+Package: eole-cntlm-pkg
+Section: metapackages
+Architecture: all
+Depends: cntlm,
+         ${misc:Depends}
+Description: dependency package for eole-cntlm
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable -p eole-cntlm-pkg --name=eole-cntlm

.PHONY: override_dh_systemd_enable

## eole-cntlm 2.8.1-1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-cntlm
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-cntlm (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [e1466fb] Prepare version 2.8.1
  * [d532d5f] Merge branch 'master' into dist/eole/2.8.1/master

  [ Emmanuel Garette ]
  * [9fdda1a] diagnose séparateur avec proxy (ref #31840)
  * [7c89461] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4f2d8b0] Emmanuel Garette: Update package since “debian/eole/2.8.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 04 Mar 2021 15:30:35 +0100
